Index: src/test/regress/expected/errors.out
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/expected/errors.out,v
retrieving revision 1.38
diff -c -r1.38 errors.out
*** src/test/regress/expected/errors.out	2 Sep 2002 06:05:16 -0000	1.38
--- src/test/regress/expected/errors.out	7 Mar 2003 20:36:24 -0000
***************
*** 18,24 ****
  -- notify pg_class
  --
  --
! -- RETRIEVE
   
  -- missing relation name 
  select;
--- 18,24 ----
  -- notify pg_class
  --
  --
! -- SELECT
   
  -- missing relation name 
  select;
***************
*** 54,60 ****
  delete from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
  --
! -- DESTROY
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
--- 54,60 ----
  delete from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
  --
! -- DROP
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
***************
*** 63,69 ****
  drop table nonesuch;
  ERROR:  table "nonesuch" does not exist
  --
! -- RENAME
   
  -- relation renaming 
  -- missing relation name 
--- 63,69 ----
  drop table nonesuch;
  ERROR:  table "nonesuch" does not exist
  --
! -- ALTER TABLE
   
  -- relation renaming 
  -- missing relation name 
***************
*** 104,110 ****
  end;
  WARNING:  COMMIT: no transaction in progress
  --
! -- DEFINE AGGREGATE
  -- sfunc/finalfunc type disagreement 
  create aggregate newavg2 (sfunc = int4pl,
  			  basetype = int4,
--- 104,110 ----
  end;
  WARNING:  COMMIT: no transaction in progress
  --
! -- CREATE AGGREGATE
  -- sfunc/finalfunc type disagreement 
  create aggregate newavg2 (sfunc = int4pl,
  			  basetype = int4,
***************
*** 118,124 ****
  			  initcond = '0');
  ERROR:  Define: "basetype" unspecified
  --
! -- REMOVE INDEX
   
  -- missing index name 
  drop index;
--- 118,124 ----
  			  initcond = '0');
  ERROR:  Define: "basetype" unspecified
  --
! -- DROP INDEX
   
  -- missing index name 
  drop index;
***************
*** 130,136 ****
  drop index nonesuch;
  ERROR:  index "nonesuch" does not exist
  --
! -- REMOVE AGGREGATE
   
  -- missing aggregate name 
  drop aggregate;
--- 130,136 ----
  drop index nonesuch;
  ERROR:  index "nonesuch" does not exist
  --
! -- DROP AGGREGATE
   
  -- missing aggregate name 
  drop aggregate;
***************
*** 151,157 ****
  drop aggregate newcnt (float4);
  ERROR:  RemoveAggregate: aggregate newcnt(real) does not exist
  --
! -- REMOVE FUNCTION
   
  -- missing function name 
  drop function ();
--- 151,157 ----
  drop aggregate newcnt (float4);
  ERROR:  RemoveAggregate: aggregate newcnt(real) does not exist
  --
! -- DROP FUNCTION
   
  -- missing function name 
  drop function ();
***************
*** 163,169 ****
  drop function nonesuch();
  ERROR:  RemoveFunction: function nonesuch() does not exist
  --
! -- REMOVE TYPE
   
  -- missing type name 
  drop type;
--- 163,169 ----
  drop function nonesuch();
  ERROR:  RemoveFunction: function nonesuch() does not exist
  --
! -- DROP TYPE
   
  -- missing type name 
  drop type;
***************
*** 237,239 ****
--- 237,248 ----
  -- no such rule 
  drop rewrite rule nonesuch;
  ERROR:  parser: parse error at or near "rewrite" at character 6
+ --
+ -- Check that division-by-zero is properly caught.
+ --
+ select 1/0;
+ ERROR:  floating point exception! The last floating point operation either exceeded legal ranges or was a divide by zero
+ select 1.0/0;
+ ERROR:  division by zero on numeric
+ select 1/0.0;
+ ERROR:  division by zero on numeric
Index: src/test/regress/sql/errors.sql
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/sql/errors.sql,v
retrieving revision 1.9
diff -c -r1.9 errors.sql
*** src/test/regress/sql/errors.sql	2 Sep 2002 06:05:16 -0000	1.9
--- src/test/regress/sql/errors.sql	7 Mar 2003 20:34:18 -0000
***************
*** 17,23 ****
  --
  
  --
! -- RETRIEVE
   
  -- missing relation name 
  select;
--- 17,23 ----
  --
  
  --
! -- SELECT
   
  -- missing relation name 
  select;
***************
*** 55,61 ****
  
  
  --
! -- DESTROY
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
--- 55,61 ----
  
  
  --
! -- DROP
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
***************
*** 65,73 ****
  
  
  --
! -- RENAME
   
- 
  -- relation renaming 
  
  -- missing relation name 
--- 65,72 ----
  
  
  --
! -- ALTER TABLE
   
  -- relation renaming 
  
  -- missing relation name 
***************
*** 112,118 ****
  
  
  --
! -- DEFINE AGGREGATE
  
  -- sfunc/finalfunc type disagreement 
  create aggregate newavg2 (sfunc = int4pl,
--- 111,117 ----
  
  
  --
! -- CREATE AGGREGATE
  
  -- sfunc/finalfunc type disagreement 
  create aggregate newavg2 (sfunc = int4pl,
***************
*** 128,134 ****
  
  
  --
! -- REMOVE INDEX
   
  -- missing index name 
  drop index;
--- 127,133 ----
  
  
  --
! -- DROP INDEX
   
  -- missing index name 
  drop index;
***************
*** 141,147 ****
  
  
  --
! -- REMOVE AGGREGATE
   
  -- missing aggregate name 
  drop aggregate;
--- 140,146 ----
  
  
  --
! -- DROP AGGREGATE
   
  -- missing aggregate name 
  drop aggregate;
***************
*** 163,169 ****
  
  
  --
! -- REMOVE FUNCTION
   
  -- missing function name 
  drop function ();
--- 162,168 ----
  
  
  --
! -- DROP FUNCTION
   
  -- missing function name 
  drop function ();
***************
*** 176,182 ****
  
  
  --
! -- REMOVE TYPE
   
  -- missing type name 
  drop type;
--- 175,181 ----
  
  
  --
! -- DROP TYPE
   
  -- missing type name 
  drop type;
***************
*** 252,254 ****
--- 251,262 ----
  -- no such rule 
  drop rewrite rule nonesuch;
  
+ --
+ -- Check that division-by-zero is properly caught.
+ --
+ 
+ select 1/0;
+ 
+ select 1.0/0;
+ 
+ select 1/0.0;
\ No newline at end of file
